oc get nodes ip-10-0-26-42.ec2.internal -o yaml
apiVersion: v1
kind: Node
metadata:
  annotations:
    alpha.kubernetes.io/provided-node-ip: 10.0.26.42
    cloud.network.openshift.io/egress-ipconfig: '[{"interface":"eni-06f0a7ec1bb0a52fd","ifaddr":{"ipv4":"10.0.0.0/19"},"capacity":{"ipv4":9,"ipv6":10}}]'
    k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac: 00-15-5D-C4-BF-85
    k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.0.0/24
    machine.openshift.io/machine: openshift-machine-api/winworker-7nq52
    volumes.kubernetes.io/controller-managed-attach-detach: "true"
    windowsmachineconfig.openshift.io/desired-version: 10.19.0-f2e2f5a
    windowsmachineconfig.openshift.io/pub-key-hash: 7c00ba8122aa764a192fe7d2d9ac4d3627b9c443c09480b18c055c2e178a6019
    windowsmachineconfig.openshift.io/username: wx4EBwMIs9+wzd4H+qVgj1cA4znsOz/UQOqMGskhb4LS5gG0jEp8Wcl9f9TFrTpb<wmcoMarker>7ReIY1CypynugOZFaoAwHAphrqtewMKpsjLChbPSRhvb1jkr02gvzD2RpgNOo6Tm<wmcoMarker>Fh/gcAA=<wmcoMarker>=DgkI
  creationTimestamp: "2025-04-14T16:30:18Z"
  labels:
    beta.kubernetes.io/arch: amd64
    beta.kubernetes.io/instance-type: m5a.large
    beta.kubernetes.io/os: windows
    failure-domain.beta.kubernetes.io/region: us-east-1
    failure-domain.beta.kubernetes.io/zone: us-east-1a
    kubernetes.io/arch: amd64
    kubernetes.io/hostname: ip-10-0-26-42.ec2.internal
    kubernetes.io/os: windows
    node-role.kubernetes.io/worker: ""
    node.kubernetes.io/instance-type: m5a.large
    node.kubernetes.io/windows-build: 10.0.20348
    node.openshift.io/os_id: Windows
    topology.k8s.aws/zone-id: use1-az4
    topology.kubernetes.io/region: us-east-1
    topology.kubernetes.io/zone: us-east-1a
  name: ip-10-0-26-42.ec2.internal
  resourceVersion: "38855"
  uid: 6a3da43e-ba6a-4c5e-97bf-b41caea7f695
spec:
  providerID: aws:///us-east-1a/i-0a9c555bfde4837f4
  taints:
  - effect: NoSchedule
    key: os
    value: Windows
status:
  addresses:
  - address: 10.0.26.42
    type: InternalIP
  - address: ip-10-0-26-42.ec2.internal
    type: InternalDNS
  - address: ip-10-0-26-42.ec2.internal
    type: Hostname
  allocatable:
    cpu: 1500m
    ephemeral-storage: "114888483853"
    memory: 6565404Ki
    pods: "250"
  capacity:
    cpu: "2"
    ephemeral-storage: 125827068Ki
    memory: 8125980Ki
    pods: "250"
  conditions:
  - lastHeartbeatTime: "2025-04-14T17:59:30Z"
    lastTransitionTime: "2025-04-14T16:32:03Z"
    message: kubelet has sufficient memory available
    reason: KubeletHasSufficientMemory
    status: "False"
    type: MemoryPressure
  - lastHeartbeatTime: "2025-04-14T17:59:30Z"
    lastTransitionTime: "2025-04-14T16:32:03Z"
    message: kubelet has no disk pressure
    reason: KubeletHasNoDiskPressure
    status: "False"
    type: DiskPressure
  - lastHeartbeatTime: "2025-04-14T17:59:30Z"
    lastTransitionTime: "2025-04-14T16:32:03Z"
    message: kubelet has sufficient PID available
    reason: KubeletHasSufficientPID
    status: "False"
    type: PIDPressure
  - lastHeartbeatTime: "2025-04-14T17:59:30Z"
    lastTransitionTime: "2025-04-14T16:32:38Z"
    message: kubelet is posting ready status
    reason: KubeletReady
    status: "True"
    type: Ready
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    architecture: amd64
    bootID: "536"
    containerRuntimeVersion: containerd://1.7.26
    kernelVersion: 10.0.20348.3453
    kubeProxyVersion: v1.32.2
    kubeletVersion: v1.32.2
    machineID: EC2AMAZ-UFJITFP
    operatingSystem: windows
    osImage: Windows Server 2022 Datacenter
    systemUUID: EC2F97CD-CC7C-E23D-5A06-F65090D30DE3


